libwpg: libwpg::StreamIO Class Reference documentation

# libwpg::StreamIO Class Reference

List of all members.

## Public Member Functions
| StreamIO (StorageIO *io, DirEntry *entry)
| ~StreamIO ()
unsigned long | size ()
unsigned long | tell ()
int | getch ()
unsigned long | read (unsigned char *data, unsigned long maxlen)
unsigned long | read (unsigned long pos, unsigned char *data, unsigned long maxlen)
## Public Attributes
StorageIO * | io
DirEntry * | entry
std::string | fullName
bool | eof
bool | fail
## Private Member Functions
| StreamIO (const StreamIO &)
StreamIO & | operator= (const StreamIO &)
void | updateCache ()
## Private Attributes
std::vector< unsigned long > | blocks
unsigned long | m_pos
unsigned char * | cache_data
unsigned long | cache_size
unsigned long | cache_pos

## Constructor & Destructor Documentation

libwpg::StreamIO::StreamIO | ( | libwpg::StorageIO * | s,
|  | libwpg::DirEntry * | e |
| ) |  |  |

libwpg::StreamIO::~StreamIO | ( |  | ) |

libwpg::StreamIO::StreamIO | ( | const StreamIO & |  | ) | `[private]`

## Member Function Documentation

unsigned long libwpg::StreamIO::size | ( |  | ) |

unsigned long libwpg::StreamIO::tell | ( |  | ) |

Referenced by read().

int libwpg::StreamIO::getch | ( |  | ) |

unsigned long libwpg::StreamIO::read | ( | unsigned char * | data,
|  | unsigned long | maxlen |
| ) |  |  |

Referenced by libwpg::Stream::read(), and updateCache().

unsigned long libwpg::StreamIO::read | ( | unsigned long | pos,
|  | unsigned char * | data,
|  | unsigned long | maxlen |
| ) |  |  |

StreamIO& libwpg::StreamIO::operator= | ( | const StreamIO & |  | ) | `[private]`

void libwpg::StreamIO::updateCache | ( |  | ) | `[private]`

Referenced by getch(), and StreamIO().

## Member Data Documentation

StorageIO* libwpg::StreamIO::io

Referenced by read(), and StreamIO().

DirEntry* libwpg::StreamIO::entry

Referenced by getch(), read(), libwpg::Stream::size(), StreamIO(), and updateCache().

std::string libwpg::StreamIO::fullName

Referenced by libwpg::StorageIO::streamIO().

bool libwpg::StreamIO::eof

bool libwpg::StreamIO::fail

std::vector<unsigned long> libwpg::StreamIO::blocks`[private]`

Referenced by read(), and StreamIO().

unsigned long libwpg::StreamIO::m_pos`[private]`

Referenced by getch(), read(), tell(), and updateCache().

unsigned char* libwpg::StreamIO::cache_data`[private]`

Referenced by getch(), StreamIO(), updateCache(), and ~StreamIO().

unsigned long libwpg::StreamIO::cache_size`[private]`

Referenced by getch(), StreamIO(), and updateCache().

unsigned long libwpg::StreamIO::cache_pos`[private]`

Referenced by getch(), and updateCache().

The documentation for this class was generated from the following file:

- WPGOLEStream.cpp